/** @file
 * @brief DHS Service class implementation. This class represents the DHS service.
 *
 *
 *
 * @copyright Intra2net AG
 * @license GPLv2
*/

#include "dhs.h"


/**
 * Constructor.
 * @param _hostname The hostname to update
 * @param _login The login name.
 * @param _password The corresponding password.
 */
DHS::DHS(const LoggerPtr& _log ,const string& _hostname, const string& _login, const string& _password)
{
    Log = _log;

    Hostname = _hostname;
    Login = _login;
    Password = _password;

    Log->print_constructor_call("DHS");
}


/**
 * Default destructor
 */
DHS::~DHS()
{
    Log->print_destructor_call("DHS");
}


/**
 * Service update method which should implement the corresponding service protocol.
 * @param ip The new ip to set for the hostname.
 */
void DHS::update(const string& ip)
{
    Log->print_update_service("DHS");

    cout << "Hostname: " << Hostname << endl;
    cout << "Login: " << Login << endl;
    cout << "Password: " << Password << endl;
}
