/** @file
 * @brief DHS Service class header. This class represents the DHS service.
 *
 *
 *
 * @copyright Intra2net AG
 * @license GPLv2
*/

#ifndef DHS_H
#define DHS_H

#include <string>
#include "service.h"
#include "logger.h"

using namespace std;

typedef boost::shared_ptr<Logger> LoggerPtr;

class DHS : public Service
{

private:

    string Hostname;
    string Login;
    string Password;

    LoggerPtr Log;

public:

    DHS(const LoggerPtr&, const string&, const string&, const string&);

    ~DHS();

    void update(const string&);

};

#endif
