/** @file
 * @brief Logger class header. This class represents the Logging facility.
 *
 *
 *
 * @copyright Intra2net AG
 * @license GPLv2
*/

#ifndef LOGGER_H
#define LOGGER_H

namespace po = boost::program_options;

using namespace std;

class Logger
{

public:

    Logger();

    ~Logger();

    void print_usage(const po::options_description*);

    void print_version();

    void print_cmd_parsed();

    void print_destructor_call(const string&);

    void print_constructor_call(const string&);

    void print_update_service(const string&);

    void print_unknown_cmd_option(const string&);

    void print_unknown_protocol(const string&);

    void print_load_service_conf(const string&);

    void print_load_main_conf(const string&);

    void print_unknown_service_conf_option(const string&);

    void print_unknown_main_conf_option(const string&);

    void print_error_opening(const string&);

    void print_error_config_path(const string&);

    void print_conf_loaded(const string&);

    void print_conf_not_loaded(const string&);

    void print_missing_cmd_service_option();

    void print_runnig_as_daemon(const int);

    void print_daemon_mode(const bool);

    void print_error_fork();

    void print_pid_found(const int);

    void print_process_already_running(const int);

    void print_caught_sigterm();

    void print_caught_siguser1();

    void print_caught_sighup();
};

#endif
