/** @file
 * @brief ODS Service class implementation. This class represents the ODS service.
 *
 *
 *
 * @copyright Intra2net AG
 * @license GPLv2
*/

#include "ods.h"


/**
 * Constructor.
 * @param _hostname The hostname to update
 * @param _login The login name.
 * @param _password The corresponding password.
 */
ODS::ODS(const LoggerPtr& _log, const string& _hostname, const string& _login, const string& _password)
{
    Log = _log;

    Hostname = _hostname;
    Login = _login;
    Password = _password;

    Log->print_constructor_call("ODS");
}


/**
 * Default destructor.
 */
ODS::~ODS()
{
    Log->print_destructor_call("ODS");
}


/**
 * Service update method which should implement the corresponding service protocol.
 * @param ip The new ip to set for the hostname.
 */
void ODS::update(const string& ip)
{
    Log->print_update_service("ODS");

    cout << "Hostname: " << Hostname << endl;
    cout << "Login: " << Login << endl;
    cout << "Password: " << Password << endl;
}
