/** @file
 * @brief ODS Service class header. This class represents the ODS service.
 *
 *
 *
 * @copyright Intra2net AG
 * @license GPLv2
*/

#ifndef ODS_H
#define ODS_H

#include <string>
#include "service.h"
#include "logger.h"

using namespace std;

typedef boost::shared_ptr<Logger> LoggerPtr;

class ODS : public Service
{

private:

    string Hostname;
    string Login;
    string Password;

    LoggerPtr Log;

public:

    ODS(const LoggerPtr&, const string&, const string&, const string&);

    ~ODS();

    void update(const string&);

};

#endif
