/** @file
 * @brief The updater class header. This class represents the updater logic.
 *
 *
 *
 * @copyright Intra2net AG
 * @license GPLv2
*/

#ifndef UPDATER_H
#define UPDATER_H

#include "config.h"
#include "logger.h"

typedef boost::shared_ptr<Config> ConfigPtr;
typedef boost::shared_ptr<Logger> LoggerPtr;

class Updater
{
private:
    ConfigPtr Conf;
    LoggerPtr Log;

public:
    Updater();

    ~Updater();

    void update_services();

    int init_config_from_cmd(int, char **);

    int init_config_from_files();

    ConfigPtr get_config();

    LoggerPtr get_logger();

    void reload_config();
};

#endif
